Bug 1172862 - Product firewall config packages replace (rather than merging with) existing user-specified configuration on upgrade from <F21
Summary: Product firewall config packages replace (rather than merging with) existing ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: firewalld
Version: 21
Hardware: All
OS: All
unspecified
urgent
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: https://fedoraproject.org/wiki/Common...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-10 23:29 UTC by Adam Williamson
Modified: 2015-12-02 16:40 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 05:41:07 UTC
Type: Bug


Attachments (Terms of Use)

Description Adam Williamson 2014-12-10 23:29:27 UTC
To reproduce:

* Install F20 with https://fedorapeople.org/groups/qa/kickstarts/firewall-configured-net.ks
* Boot the installed system, verify with firewall-cmd --list-ports and firewall-cmd --list-services that services dhcpv6-client, ftp, mdns, ssh and ports 143/tcp, 47/tcp and 1234/udp are open
* Install fedup, run 'fedup --network 21 --product server'
* Complete the upgrade
* Boot the upgraded system, check with --list-ports and --list-services again
* The stock Server default configuration is in place: the user's allowed ports and services are lost on upgrade

Workstation behaves similarly, replacing the user's existing configuration with its default config.

Nonproduct, however, doesn't destroy the user's configuration, I guess because firewalld-config-standard doesn't actually define any ports or services?

This is a fairly serious issue for upgraders and will need adding to CommonBugs.

Comment 1 Adam Williamson 2014-12-10 23:30:18 UTC
Thanks to Daryl for reporting this.

Comment 2 Fedora End Of Life 2015-11-04 10:23:02 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-12-02 05:41:13 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.